<?php
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
  
  exit;

}
    $title = 'Тайник';    

  include './system/h.php';
$cenakey=100;
if(isset($_GET['buyKey'])){
// Цена за ключи
if($user['g']<$cenakey){
$_SESSION['err']="Не достаточно золота!";
header('Location: sunduki.php?');
exit();
}
mysql_query("UPDATE `users` SET `key`='".($user['key']+1)."',`g`='".($user['g']-$cenakey)."' WHERE `id`='$user[id]'");
header('Location: sunduki.php?');
}

echo'<div class="main"><div class="content" align="center"><span style="color: #9bc;">Ищи сокровища в сундуках!</span></div><div class="line"></div></div>';

if(isset($_SESSION['li'])){
echo'<div class="content" align="center">'.$_SESSION['li'].'</div><div class="line"></div>';
$_SESSION['li']=NULL;
}

if(isset($_GET['open'])){
// 1 сундук
if($_GET['open']==1){
if($user['key']<1){
$_SESSION['err']="Купите ключи!";
header('Location: sunduki.php?');
exit();
}
$nominal=rand(1,11);
if($nominal==1){
//Сколько выпадет золота
$sum=100;
$img="/images/icon/gold.png";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1', `g`='".($user['g']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=1000;
$img="/images/icon/silver.png";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1', `s`='".($user['s']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
//Сколько выпадет алмаз
$sum=5;
$img="/images/icon/res/1.png";
$name="алмаз";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `1` = `1`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==4){
//Сколько выпадет корунд
$sum=5;
$img="/images/icon/res/2.png";
$name="корунд";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `2` = `2`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==5){
//Сколько выпадет обсидиан
$sum=5;
$img="/images/icon/res/3.png";
$name="обсидиан";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `3` = `3`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==6){
//Сколько выпадет графит
$sum=5;
$img="/images/icon/res/4.png";
$name="графит";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `4` = `4`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==7){
//Сколько выпадет оникс
$sum=5;
$img="/images/icon/res/5.png";
$name="оникс";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `5` = `5`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==8){
//Сколько выпадет амброзия
$sum=5;
$img="/images/icon/res/6.png";
$name="амброзия";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `6` = `6`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==9){
//Сколько выпадет мята
$sum=5;
$img="/images/icon/res/7png";
$name="мята";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `7` = `7`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==10){
//Сколько выпадет аир
$sum=5;
$img="/images/icon/res/8.png";
$name="аир";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `8` = `8`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==11){
//Сколько выпадет рябина
$sum=5;
$img="/images/icon/res/9.png";
$name="рябина";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s1`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `9` = `9`+'$sum' WHERE `user` = '$user[id]'");
}
$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундук открыт!</span><div class='separ'></div><span style='color: #fc6;'>В сундуке Вы нашли:</span><br><img src='$img' width='12' height='12'/> $sum $name";
header('Location: sunduki.php?');
}
###2 sunduk
if($_GET['open']==2){
if($user['key']<1){
$_SESSION['err']="Купите ключи!";
header('Location: sunduki.php?');
exit();
}
$nominal=rand(1,11);
if($nominal==1){
//Сколько выпадет золота
$sum=100;
$img="/images/icon/gold.png";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1', `g`='".($user['g']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=1000;
$img="/images/icon/silver.png";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1', `s`='".($user['s']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
//Сколько выпадет алмаз
$sum=5;
$img="/images/icon/res/1.png";
$name="алмаз";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `1` = `1`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==4){
//Сколько выпадет корунд
$sum=5;
$img="/images/icon/res/2.png";
$name="корунд";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `2` = `2`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==5){
//Сколько выпадет обсидиан
$sum=5;
$img="/images/icon/res/3.png";
$name="обсидиан";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `3` = `3`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==6){
//Сколько выпадет графит
$sum=5;
$img="/images/icon/res/4.png";
$name="графит";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `4` = `4`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==7){
//Сколько выпадет оникс
$sum=5;
$img="/images/icon/res/5.png";
$name="оникс";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `5` = `5`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==8){
//Сколько выпадет амброзия
$sum=5;
$img="/images/icon/res/6.png";
$name="амброзия";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `6` = `6`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==9){
//Сколько выпадет мята
$sum=5;
$img="/images/icon/res/7.png";
$name="мята";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `7` = `7`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==10){
//Сколько выпадет аир
$sum=5;
$img="/images/icon/res/8.png";
$name="аир";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `8` = `8`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==11){
//Сколько выпадет рябина
$sum=5;
$img="/images/icon/res/9.png";
$name="рябина";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s2`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `9` = `9`+'$sum' WHERE `user` = '$user[id]'");
}

$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундук открыт!</span><div class='separ'></div><span style='color: #fc6;'>В сундуке Вы нашли:</span><br><img src='$img' width='12' height='12'/> $sum $name";
header('Location: sunduki.php?');
}
###3 sunduk
if($_GET['open']==3){
if($user['key']<1){
$_SESSION['err']="Купите ключи!";
header('Location: sunduki.php?');
exit();
}
$nominal=rand(1,11);
if($nominal==1){
//Сколько выпадет золота
$sum=100;
$img="/images/icon/gold.png";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1', `g`='".($user['g']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=1000;
$img="/images/icon/silver.png";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1', `s`='".($user['s']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
//Сколько выпадет алмаз
$sum=5;
$img="/images/icon/res/1.png";
$name="алмаз";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `1` = `1`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==4){
//Сколько выпадет корунд
$sum=5;
$img="/images/icon/res/2.png";
$name="корунд";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `2` = `2`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==5){
//Сколько выпадет обсидиан
$sum=5;
$img="/images/icon/res/3.png";
$name="обсидиан";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `3` = `3`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==6){
//Сколько выпадет графит
$sum=5;
$img="/images/icon/res/4.png";
$name="графит";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `4` = `4`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==7){
//Сколько выпадет оникс
$sum=5;
$img="/images/icon/res/5.png";
$name="оникс";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `5` = `5`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==8){
//Сколько выпадет амброзия
$sum=5;
$img="/images/icon/res/6.png";
$name="амброзия";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `6` = `6`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==9){
//Сколько выпадет мята
$sum=5;
$img="/images/icon/res/7.png";
$name="мята";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `7` = `7`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==10){
//Сколько выпадет аир
$sum=5;
$img="/images/icon/res/8.png";
$name="аир";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `8` = `8`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==11){
//Сколько выпадет рябина
$sum=5;
$img="/images/icon/res/9.png";
$name="рябина";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s3`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `9` = `9`+'$sum' WHERE `user` = '$user[id]'");
}

$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундук открыт!</span><div class='separ'></div><span style='color: #fc6;'>В сундуке Вы нашли:</span><br><img src='$img' width='12' height='12'/> $sum $name";
header('Location: sunduki.php?');
}
###4 sunduk
if($_GET['open']==4){
if($user['key']<1){
$_SESSION['err']="Купите ключи!";
header('Location: sunduki.php?');
exit();
}
$nominal=rand(1,11);
if($nominal==1){
//Сколько выпадет золота
$sum=100;
$img="/images/icon/gold.png";
$name="золото";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1', `g`='".($user['g']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==2){
//Сколько выпадет serebra
$sum=1000;
$img="/images/icon/silver.png";
$name="серебро";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1', `s`='".($user['s']+$sum)."' WHERE `id`='$user[id]'");
}
if($nominal==3){
//Сколько выпадет алмаз
$sum=5;
$img="/images/icon/res/1.png";
$name="алмаз";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `1` = `1`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==4){
//Сколько выпадет корунд
$sum=5;
$img="/images/icon/res/2.png";
$name="корунд";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `2` = `2`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==5){
//Сколько выпадет обсидиан
$sum=5;
$img="/images/icon/res/3.png";
$name="обсидиан";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `3` = `3`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==6){
//Сколько выпадет графит
$sum=5;
$img="/images/icon/res/4.png";
$name="графит";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `4` = `4`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==7){
//Сколько выпадет оникс
$sum=5;
$img="/images/icon/res/5.png";
$name="оникс";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `5` = `5`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==8){
//Сколько выпадет амброзия
$sum=5;
$img="/images/icon/res/6.png";
$name="амброзия";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `6` = `6`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==9){
//Сколько выпадет мята
$sum=5;
$img="/images/icon/res/7.png";
$name="мята";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `7` = `7`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==10){
//Сколько выпадет аир
$sum=5;
$img="/images/icon/res/8.png";
$name="аир";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `8` = `8`+'$sum' WHERE `user` = '$user[id]'");
}
if($nominal==11){
//Сколько выпадет рябина
$sum=5;
$img="/images/icon/res/9.png";
$name="рябина";
mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."', `s4`='1' WHERE `id`='$user[id]'");
mysql_query("UPDATE `sack` SET `9` = `9`+'$sum' WHERE `user` = '$user[id]'");
}

$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундук открыт!</span><div class='separ'></div><span style='color: #fc6;'>В сундуке Вы нашли:</span><br><img src='$img' width='12' height='12'/> $sum $name";
header('Location: sunduki.php?');
}

if($_GET['open']=='all'){
if($user['g']<400){
$_SESSION['err']="Не достаточно золота!";
header('Location: sunduki.php?');
exit();
}else{
mysql_query("UPDATE `users` SET `s1`='0', `s2`='0', `s3`='0', `s4`='0', `g`=`g`-'400' WHERE `id`='$user[id]'");
mysql_query("UPDATE `users` SET `sunduki`='0', `sunduk`='1' WHERE `id`='$user[id]'");
$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундуки обновлены!</span>";
header('Location: sunduki.php?');
exit();
}
}

if($_GET['open']=='openall'){
mysql_query("UPDATE `users` SET `s1`='0', `s2`='0', `s3`='0', `s4`='0' WHERE `id`='$user[id]'");
mysql_query("UPDATE `users` SET `sunduki`='0', `sunduk`='1' WHERE `id`='$user[id]'");
$_SESSION['li']="<span class='dgreen' style='font-weight:bold;'>Сундуки обновлены!</span>";
header('Location: sunduki.php?');
exit();
}

}

$otkr=$user['s1']+$user['s2']+$user['s3']+$user['s4'];

echo "</div><div class='content'><center><img src='/images/town/stashroom.png'/><br/><br/>У Вас <img src='/images/icon/key.png'/> $user[key] ключей<br/>";
echo '<a class="btn" href="?buyKey"><span class="end"><span class="label">Купить за <img src="/images/icon/gold.png" alt="">';
echo "$cenakey";
echo '</span></span></a></center></div>';
echo "<div class='line'></div>";



if($otkr<4){
echo "<div class='main'><div class='content' align='center'><span class='blue'>Выберите сундук</span><br><br>";
}else{
$start=mysql_fetch_array(mysql_query("SELECT `sunduki`, `sunduk` FROM `users` WHERE `id`='$user[id]'"));
if($otkr==4 && $start['sunduk']<2){
$over=time()+3600*24;
mysql_query("UPDATE `users` SET `sunduki` = '$over', `sunduk` = '2' WHERE `id`='$user[id]'");
}
$start=mysql_fetch_array(mysql_query("SELECT `sunduki`, `sunduk` FROM `users` WHERE `id`='$user[id]'"));
if($start['sunduk']==2){
$sund=$start['sunduki']-time();
}

if(time()>=$start['sunduki']){
header('Location: sunduki.php?open=openall');exit;
}

echo "<div class='main'><div class='content' align='center'>";
echo '<a class="btn" href="?open=all"><span class="end"><span class="label">Обновить за <img src="/images/icon/gold.png" alt=""> 400</span></span></a>
<br><div class="separator"></div><span style="color: #999;"><small>Сундуки обновятся через '.Sec2Time($sund).'</small></span><div class="separator"></div>';
}


if($user['s1']==1){
echo'<img src="/images/sunduk/1.png" alt="[-o-]">';
}
elseif($user['key']==0){
echo'<img src="/images/sunduk/0.png" alt="[-o-]">';
}else{
echo '<a href="?open=1"><img src="/images/sunduk/0.png" alt="[-o-]"></a>';
}

if($user['s2']==1){
echo'<img src="/images/sunduk/1.png" alt="[-o-]">';
}
elseif($user['key']==0){
echo'<img src="/images/sunduk/0.png" alt="[-o-]">';
}else{
echo '<a href="?open=2"><img src="/images/sunduk/0.png" alt="[-o-]"></a>';
}

if($user['s3']==1){
echo'<img src="/images/sunduk/1.png" alt="[-o-]">';
}
elseif($user['key']==0){
echo'<img src="/images/sunduk/0.png" alt="[-o-]">';
}else{
echo '<a href="?open=3"><img src="/images/sunduk/0.png" alt="[-o-]"></a>';
}

if($user['s4']==1){
echo'<img src="/images/sunduk/1.png" alt="[-o-]">';
}
elseif($user['key']==0){
echo'<img src="/images/sunduk/0.png" alt="[-o-]">';
}else{
echo '<a href="?open=4"><img src="/images/sunduk/0.png" alt="[-o-]"></a>';
}



echo'<br>';


echo'<span class="grey">Открыто сундуков: '.$otkr.' из 4</center></div>';

echo '<div class="line"></div><div class="content"><ul class="hint">
<li>Ключи выпадают при победе в Долине бессмертных</li>
<li>В сундуках можно получить золото, серебро и ресурсы для заточки экипировки.</li>';

echo '</ul></div></div>';

  include './system/f.php';
?>